import josx.platform.rcx.*;

public class ReceivingRobot extends Robot {
	public ReceivingRobot() {
		// groe Reichweite fr Datenbertragung
		Serial.setRangeLong();

		// PRGM durch den ButtonListener Robot
		// berwachen lassen, damit der Roboter
		// durch Drcken von PRGM "stirbt"
		Button.PRGM.addButtonListener(this);
		
		// solange der Roboter "lebt", Bewegungs-
		// aktionen empfangen und ausfhren
		while (isAlive())
			if (Serial.isPacketAvailable())
				move(receiveAction());
	}
	
	// Bewegungsaktion empfangen
	private byte receiveAction() {
		byte[] packet = new byte[2];
		Serial.readPacket(packet);
		return packet[1];
	}
	
	public static void main(String[] args) {
		new ReceivingRobot();
	}
}
